Bug 196698 - missing libreadline.so.4 library in netstg2.img
missing libreadline.so.4 library in netstg2.img
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: parted (Show other bugs)
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
Brock Organ
: 196699 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2006-06-26 11:28 EDT by Ivars Strazdins
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHEL-4U5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-03-05 16:06:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ivars Strazdins 2006-06-26 11:28:42 EDT
Description of problem:

libreadline.so.4 library in netstg2.img image is missing. parted application
cannot be started if system is booted from network.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Prior boot we had:
1. configured DHCPD (assign IP address and other network parameters)
2. configured TFTP (provides elilo + elilo.conf + vmlinuz +
3. copied all CDROMs to HTTP server.

While in EFI, issued command "lanboot".
It loads elilo and kernel.
4. Next step is provide information about HTTP server.
Then everything goes exactly as when booting from CDROM.

While examing environment, I found that CDROM rescue boot uses
stage2.img file and mounts it as root (using loop device). Network
boot uses netstg2.img file for the same purpose.

After looking into these files I found, that first one contains
libreadline.so and second no.
Actual results:

Run 'linux rescue' after booting 1st CDROM.
Choose 'Skip' when suggested to detect already installed OS.
In shell prompt enter following command:
# parted /dev/sdc
Following error will be shown.
parted: error while loading shared libraries: libreadline.so.4: cannot open
shared object file: No such file or directory

Expected results:

be able to run parted

Additional info:
Comment 1 David Cantrell 2007-03-05 16:06:30 EST
The libreadline.so.4 library is in stage2.img and netstg2.img in RHEL-4 U5.
Comment 2 David Cantrell 2007-03-05 16:07:10 EST
*** Bug 196699 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.